// 咨询相关接口
import {
	req
} from '@/common/js/index.js';

/*接诊
	order_id	int	是			订单id
*/
export function imageOrderAccess(data) {
	return req.request({
		url: 'image-order/access',
		method: 'post',
		data
	})
}

// 结束问诊 https://app.xiaokang88.com/service/v1/store-accept/register-over
export function accessEnd(data) {
	return req.request({
		url: 'store-accept/register-over',
		method: 'post',
		data
	})
}

/*退诊
	order_id	int	是			订单id
	reason_id	int	是			退针原因id
*/
export function imageOrderRefuse(data) {
	return req.request({
		url: 'image-order/refuse',
		method: 'post',
		data
	})
}

/*退诊原因
 */
export function RefuseReason(data) {
	return req.request({
		url: 'store-accept/refuse-list',
		method: 'post',
		data
	})
}

/*患者详情
	order_id	int	是	订单id 
*/
export function imageOrderPatientInfo(data) {
	return req.request({
		url: 'image-order/patient-info',
		method: 'post',
		data
	})
}

/*患者详情
	patient_id	int	是	患者id 
*/
export function storePatientInfo(data) {
	return req.request({
		url: 'store-accept/patient-detail',
		method: 'post',
		data
	})
}

/*患者详情  接诊/拒诊  
	patient_id	int	是	患者id   status  1接诊2拒绝
*/
export function storePatientRefuse(data) {
	return req.request({
		url: 'store-accept/accept-or-refuse',
		method: 'post',
		data
	})
}

/*咨询详情
	order_id	int	是			订单id
*/
export function imageOrderInfo(data) {
	return req.request({
		url: 'image-order/info',
		method: 'post',
		data
	})
}

/*咨询列表  挂号列表
	order_id	int	是			订单id
*/
export function registerList(data) {
	return req.request({
		url: 'register/list',
		method: 'post',
		data
	})
}
// 咨询列表角标
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function listMain(data) {
	return req.request({
		url: 'image-order/list-main',
		method: 'post',
		data
	})
}
/*服务端发送消息
ims_id			int		是			会话id
session_type	int		是			会话类型1医生发给用户3导医发给用户5医生和客服会话6药师和客服7导医和客服
content			json	是			消息内容
*/
export function messageSend(data) {
	return req.request({
		url: 'im/message-send',
		method: 'post',
		data
	})
}

/*会话消息记录
ims_id		int	是			会话id
page		int	否	1		页码
page_size	int	否	20		每页条数
*/
export function messageList(data) {
	return req.request({
		url: 'im/message-list',
		method: 'post',
		data
	})
}
